Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82181 - Command "service named restart" doesn't work
Summary: Command "service named restart" doesn't work
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind
Version: 8.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-19 04:52 UTC by Ciaran Mac Lochlainn
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-27 13:44:34 UTC


Attachments (Terms of Use)
Fixed version of init script (deleted)
2003-01-19 05:04 UTC, Ciaran Mac Lochlainn
no flags Details | Diff

Description Ciaran Mac Lochlainn 2003-01-19 04:52:43 UTC
Description of problem:

The command "service named restart" does not always restart the DNS service.
The command "/etc/rc.d/init.d/named restart" seems to work.

This problem seems to occur only under heavy CPU load.  The system reports that
BIND is already running, and it does not start the service.  It seems that the
daemon can sometimes take longer than expected to terminate, and that this
confuses the script.

Editing the /etc/rc.d/init.d/named script, by adding a "sleep 2" command between
the stop and start calls in restart(), seems to fix the problem.

Version-Release number of selected component (if applicable):
9.2.1-9

How reproducible:
Intermittent.  Try it while compiling a kernel.

Steps to Reproduce:
1.Log in as root.
2.service named restart
3.If the above "fails to fail" try it under a heavy [CPU|Disk] load.
    
Actual results:
named stops and does not restart.

Expected results:
named should stop and then start up again.

Additional info:

Comment 1 Ciaran Mac Lochlainn 2003-01-19 05:04:14 UTC
Created attachment 89435 [details]
Fixed version of init script

In restart(), I added a 2 second delay between stop and start.	Seems to work.

Comment 2 Daniel Walsh 2003-01-24 17:06:43 UTC
Fixed in Rawhide.  I basically added your two second sleep on restart.
bind-9.2.1-16
Dan

Comment 3 Ciaran Mac Lochlainn 2003-01-27 13:44:34 UTC
Thanks.

I've noticed similar issues with other init scripts too, e.g. network, squid.  
The same fix appears to resolve them.



Note You need to log in before you can comment on or make changes to this bug.